Bug 243918 - UK keyboard layout incorrect - # key does not work
Summary: UK keyboard layout incorrect - # key does not work
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-12 18:39 UTC by Patrick Cullen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-29 14:18:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
IBM UK keyboard (HP and Dell keyboards are similar) (266.84 KB, image/jpeg)
2007-06-20 12:41 UTC, Patrick Cullen
no flags Details
Keyboard Layout as per Fedora (108.16 KB, image/jpeg)
2007-06-20 12:42 UTC, Patrick Cullen
no flags Details

Description Patrick Cullen 2007-06-12 18:39:45 UTC
Description of problem: The keyboard layout for UK is incorrect. Shows from 
left to right L ; ' RETURN keys instead of L ; ' # RETURN. The # key is shown 
above the RETURN key. When I try to type # the \ is entered instead. I looked 
through other keyboard layouts but I cannot find one with the correct mapping.


Version-Release number of selected component (if applicable):
Fedora 7

How reproducible:
Go to System --> Preferences --> Hardware --> Keyboard and select Layouts and 
Add the UK keyboard. The image shown does not match actual UK keyboards and the 
# key does not work. The £ key does work which is nice but I use # a lot more 
often.

Steps to Reproduce:
1.As above.
2.
3.
  
Actual results:
Expect # key to work even if image looks incorrect in the Choose a Layout 
dialog box.

Expected results:


Additional info:

Comment 1 Patrick Cullen 2007-06-20 12:41:05 UTC
Created attachment 157455 [details]
IBM UK keyboard (HP and Dell keyboards are similar)

This is how the keyboard looks.

Comment 2 Patrick Cullen 2007-06-20 12:42:52 UTC
Created attachment 157456 [details]
Keyboard Layout as per Fedora

This is how Fedora thinks the keyboard. Perfect except for the [# ~] key which
is shown above the ENTER key and not to the left. I have tested all the other
keys and they work correctly so the keyboard mapping is pretty good but as you
can imagine the # key is pretty important too.


Note You need to log in before you can comment on or make changes to this bug.